Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 664664 - app-arch/p7zip - Possible updates since version 16.02?
Summary: app-arch/p7zip - Possible updates since version 16.02?
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthew Thode ( prometheanfire )
URL: https://www.7-zip.org/history.txt
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-26 17:45 UTC by Thibaud "thican" CANALE
Modified: 2021-03-17 08:50 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Diff to use jinfeihan57's version (p7zip-17.03.ebuild.diff,1.19 KB, patch)
2021-01-08 21:46 UTC, Michael Schmid
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibaud "thican" CANALE 2018-08-26 17:45:41 UTC
Hello,

I noticed the package app-arch/p7zip is becoming quite old, since the current version 16.02 was released in May 2016, and since when the current version 18.05 was released end of April 2018.
Unfortunately, I was not able to put my hands on the newer source code of p7zip from sourceforge, the last entry is actually the version 16.02; however, the source code for 7-zip — which seams to be the same stuff, right? — is available here:
https://sourceforge.net/projects/sevenzip/files/7-Zip/
Do you think those are related? Why isn't the main p7zip program updated as the 7-Zip version?

Another request concerns its dependency to x11-libs/wxGTK, do you think it is possible to now use (at will?) the gtk3 flavor? Even with the current USE flag "wxwidgets" activated, I don't have the GUI like I see on Windows, so I have no idea what this USE flag does, actually.
I noticed however there is comment related to the executable 7zFM (the file manager executable as I see on Windows), is it a normal modifications?

Thanks for support.
Comment 1 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2018-08-26 18:55:05 UTC
p7zip upstream seems mostly dead to me (or very badly run).  I'm not sure those sources are correct.  I've searched for p7zip in other distros (fedora arch ubuntu) not finding anything past 16.02.
Comment 2 Jonas Stein gentoo-dev 2018-08-27 13:09:34 UTC
see also https://repology.org/metapackage/p7zip/versions
Comment 3 Johannes Willem (Hans) Fernhout 2020-05-18 06:06:00 UTC
Version 19.00 was released in February.
Comment 4 Johannes Willem (Hans) Fernhout 2020-05-18 06:27:10 UTC
Oh, the above seem to be related to 7zip (for Windows), not p7zip (for posix systems). See for the situation re 7zip and pzip this discussion: https://sourceforge.net/p/p7zip/discussion/383043/thread/fa143cf2 . It seems no one is working on p7zip.
Comment 5 Michael Schmid 2021-01-08 20:53:12 UTC
This is a better maintained fork and the maintainer now tags releases:
https://github.com/jinfeihan57/p7zip
https://repology.org/project/p7zip-jinfeihan57/

It may be expedient to switch over to this one.
Comment 6 Michael Schmid 2021-01-08 20:55:04 UTC
Fixed repology link, apologies:
https://repology.org/project/p7zip-jinfeihan57/versions
Comment 7 Michael Schmid 2021-01-08 21:46:29 UTC
Created attachment 682021 [details, diff]
Diff to use jinfeihan57's version

Quick diff to jinfeihan57 version in case someone wants to do further work. CLI tools do compile and seem to work.

I can't finish this and test/version bump GUI, review all the src_prepare for other platforms, or possibly fix patches. The package might also need a different name.

I'll also point out that perhaps this is easier/nicer to build via cmake, I easily get functional binaries via the current cmake release building method:
cd ./CPP/7zip/CMAKE/ && mkdir build && cd build && cmake .. && make
https://github.com/jinfeihan57/p7zip/blob/master/.github/workflows/release.yml

Maybe changing to a simpler ebuild doing this might be an idea.
Comment 8 Gleb 2021-03-12 05:07:58 UTC
7-zip now supports linux:
https://sourceforge.net/p/sevenzip/discussion/45797/thread/cec5e63147/
Comment 9 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2021-03-12 05:18:25 UTC
I'm glad this is getting more of an official port (the p7zip stuff being kinda defunct now).  That said, I don't think I want to be the maintainer of the new package (because it should be a NEW package, not a bump to this one).  I would be happy to proxy-maintiain it on the gentoo side if you there's an ebuild though.